> ## Documentation Index
> Fetch the complete documentation index at: https://docs.quidkey.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get payment link details by ID

> Get payment link details by ID



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/payment-links/{id}
openapi: 3.1.0
info:
  title: Quidkey API
  version: 1.0.0
  description: API documentation for Quidkey Core Services
servers:
  - url: https://core.quidkey.com
    description: Production
security: []
paths:
  /api/v1/payment-links/{id}:
    get:
      tags:
        - Payment Links
      summary: Get payment link details by ID
      description: Get payment link details by ID
      parameters:
        - name: id
          in: path
          required: true
          schema:
            format: uuid
            description: Payment link ID
            type: string
          description: Payment link ID
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/paymentLink_DetailResponse'
              example:
                success: true
                data:
                  redirect_urls:
                    success_url: https://example.com/payment/success
                    failure_url: https://example.com/payment/failure
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/shared_Error401'
              example:
                success: false
                error:
                  message: Invalid input provided
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/shared_Error404'
              example:
                success: false
                error:
                  message: Invalid input provided
      security:
        - bearerAuth: []
components:
  schemas:
    paymentLink_DetailResponse:
      type: object
      required:
        - success
        - data
      properties:
        success:
          description: Indicates if the request was successful
          examples:
            - true
          type: boolean
        data:
          type: object
          required:
            - id
            - merchant
            - amount
            - currency
            - payment_reference
            - order_id
            - status
            - link_type
            - views_count
            - first_viewed_at
            - expires_at
            - created_at
            - transaction_id
            - locale
            - metadata
            - payment_link_url
            - redirect_urls
          properties:
            id:
              format: uuid
              type: string
            merchant:
              type: object
              required:
                - id
                - brand_name
              properties:
                id:
                  format: uuid
                  type: string
                brand_name:
                  type: string
            amount:
              description: Amount in decimal format (e.g. "10.00")
              type: string
            currency:
              description: Currency code (ISO 4217)
              type: string
            payment_reference:
              type: string
            order_id:
              anyOf:
                - type: string
                - type: 'null'
            status:
              enum:
                - active
                - used
                - expired
                - cancelled
              description: Payment link status
              type: string
            link_type:
              enum:
                - single_use
                - reusable
              type: string
            views_count:
              type: integer
            first_viewed_at:
              anyOf:
                - format: date-time
                  type: string
                - type: 'null'
            expires_at:
              format: date-time
              type: string
            created_at:
              format: date-time
              type: string
            transaction_id:
              anyOf:
                - format: uuid
                  type: string
                - type: 'null'
            locale:
              type: string
            metadata:
              anyOf:
                - type: object
                  patternProperties:
                    ^(.*)$: {}
                - type: 'null'
            payment_link_url:
              anyOf:
                - format: uri
                  type: string
                - type: 'null'
            redirect_urls:
              anyOf:
                - additionalProperties: false
                  type: object
                  required:
                    - success_url
                    - failure_url
                  properties:
                    success_url:
                      format: uri
                      maxLength: 2048
                      description: >-
                        URL to redirect customer to after successful payment
                        (HTTPS required in production)
                      examples:
                        - https://example.com/payment/success
                      type: string
                    failure_url:
                      format: uri
                      maxLength: 2048
                      description: >-
                        URL to redirect customer to after failed payment (HTTPS
                        required in production)
                      examples:
                        - https://example.com/payment/failure
                      type: string
                - type: 'null'
    shared_Error401:
      title: Unauthorized Error
      description: 401 Unauthorized Error Response
      type: object
      required:
        - success
        - error
      properties:
        success:
          description: Always false for error responses
          examples:
            - false
          const: false
          type: boolean
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              allOf:
                - description: Error code for the specific error type
                  examples:
                    - INVALID_INPUT
                  type: string
                - const: UNAUTHORIZED
                  type: string
            message:
              description: Human-readable error message
              examples:
                - Invalid input provided
              type: string
    shared_Error404:
      title: Not Found Error
      description: 404 Not Found Error Response
      type: object
      required:
        - success
        - error
      properties:
        success:
          description: Always false for error responses
          examples:
            - false
          const: false
          type: boolean
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              allOf:
                - description: Error code for the specific error type
                  examples:
                    - INVALID_INPUT
                  type: string
                - description: Error code for resource not found
                  examples:
                    - MERCHANT_NOT_FOUND
                    - BANK_NOT_FOUND
                  type: string
            message:
              description: Human-readable error message
              examples:
                - Invalid input provided
              type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````